var curPage, pageCount, formdata;
$(function () {
    curPage = 1;
    to_page(0);
    $("#_page select").change(function () {
        curPage = this.value;
        to_page(1);
    })

    $("#_page a").click(function () {
        var name = this.name;
        if (name == 'first') {
            curPage = 1;
        } else if (name == 'up') {
            curPage--;
            if (curPage < 1) {
                curPage = 1;
            }
        } else if (name == 'down') {
            if (curPage < pageCount) {
                curPage++;
            }
        } else if (name == 'last') {
            curPage = pageCount;
        }
        to_page(1);

    })

    //完成全选/全不选功能
    $("#check_all").click(function () {
        $(".check_item").prop("checked", $(this).prop("checked"));
    });

//check_item
    $(document).on("click", ".check_item", function () {
        var flag = $(".check_item:checked").length == $(".check_item").length;
        $("#check_all").prop("checked", flag);
    });
})


function updatePageParams(page, curPage) {
    pageCount = page.pageCount;
    $("#pageCount").html(page.pageCount);
    $("#rowsCount").html(page.rowsCount);
    $("#curPage").html(curPage);
    $("#page").empty();
    for (var i = 1; i <= page.pageCount; i++) {
        $("#page").append('<option value="' + i + '">' + i + '</option>');
    }
    $("#page").val(curPage);
}

function setPageParams(page, curPage, T) {
    pageCount = page.pageCount;
    $("#pageCount").html(page.pageCount);
    $("#rowsCount").html(page.rowsCount);
    $("#curPage").html(curPage);
    if (T == 0) {
        $("#page").empty();
        for (var i = 1; i <= page.pageCount; i++) {
            $("#page").append('<option value="' + i + '">' + i + '</option>');
        }
    }

    $("#page").val(curPage);
}





